%define _altdata_dir %_datadir/alterator
%define _altlib_dir %_libdir/alterator

Name: install3
Version: 2.4
Release: alt1

Source:alterator-%name-%version.tar.bz2

Summary: Third stage of installer
License: GPL
Group: System/Configuration/Other

Requires: design-installer
Requires: alterator >= 1.99-alt47

Requires: alterator-timezone, alterator-users, alterator-printers
Requires: alterator-network, alterator-x11, alterator-packages

Requires: xorg-x11-xfs
Requires: glibc-locales, glibc-gconv-modules

BuildArch: noarch

BuildPreReq: alterator


%description
Third stage of installer

%prep
%setup -q -n alterator-%name-%version

%build
%make_build


%install
%makeinstall DESTDIR=%buildroot
%find_lang alterator-%name

%post
%update_menus
%postun
%clean_menus

%files -f alterator-%name.lang
%_sbindir/*
%_bindir/*
%_altdata_dir/maps/*
%_altdata_dir/layouts/*
%_altdata_dir/ui/*/
%_sysconfdir/firsttime.d/control

%changelog
* Wed Sep 14 2005 Anton Farygin <rider@altlinux.ru> 2.4-alt1
- added firsttime script for setting control facilities

* Tue Sep 06 2005 Anton Farygin <rider@altlinux.ru> 2.3-alt1
- export DURING_INSTALL
- use bash for shell on tty2
- setup TMP_1ST

* Wed Aug 31 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt3
- use generic make templates

* Fri Aug 19 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt2
- rename goodbye to welcome

* Fri Aug 05 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt1
- updates for latest alterator

* Wed Jul 20 2005 Stanislav Ievlev <inger@altlinux.org> 2.1-alt3
- updates

* Tue Jul 19 2005 Stanislav Ievlev <inger@altlinux.org> 2.1-alt2
- little adaptations to new alterator API

* Wed Jul 06 2005 Stanislav Ievlev <inger@altlinux.org> 2.1-alt1
- added new design
- new wizard engine with goto-frame

* Fri Jul 01 2005 Anton Farygin <rider@altlinux.ru> 2.0.1-alt1
- updated locale setup for new i18n format

* Wed Jun 29 2005 Stanislav Ievlev <inger@altlinux.org> 2.0-alt2.1
- don't allow to escape from non-global steps

* Tue Jun 28 2005 Stanislav Ievlev <inger@altlinux.org> 2.0-alt2
- new help system

* Thu Jun 23 2005 Stanislav Ievlev <inger@altlinux.org> 2.0-alt1
- install3 now separate module

